Subject: Re: bug#39181: 27.0.50; [PATCH] Allow users to store & restore gdb-mi layout

From: Yuan Fu <[email-masked]>
Date: Mon, 9 Mar 2020 16:17:59 -0400

> On Mar 9, 2020, at 3:18 PM, Štěpán Němec <[email-masked]> wrote:
> 
> 
> Other than the nit picks below, I have one question: is there any
> difference between "window layout" and "window configuration" in this
> context? You seem to be using both interchangeably, both in
> documentation and the function/variable names. There seems to be some
> prior usage of "layout" in gdb-mi, but the general Emacs term AFAIK is
> "configuration". Wouldn't it make sense to unify the usage somewhat, at
> least in the new code? Just an observation (I found it confusing.)
> 

No, not really, that’s my fault. Before I go in and change every word, which one do you think I should use: configuration or layout? Configuration is the conventional Emacs term but I felt that layout is easier to understand for a user. If you are find with both I guess I will change all to configuration.

Yuan